%define name 	iv
%define version 17
%define release 4
%define lib_name_orig lib%{name}
%define api     3
%define lib_name %mklibname %{name}%{api}

Summary: 	InterViews widgets
Name:		%{name}
Version: 	%{version}
Release: 	%mkrel %{release}
Source0: 	%{name}-%{version}.tar.bz2
Group:		System/Libraries
License: 	BSD-like
Url: 		http://www.neuron.yale.edu
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	X11-devel
BuildRequires:	x11-proto-devel

%description
InterViews widgets distribution. These legacy widgets are used 
by programs such as NEURON.

%package -n %{lib_name}

Summary: 	InterViews libraries
Group: 		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{lib_name}
This package contains libraries for InterViews-dependent programs.

%package -n %{lib_name}-devel

Summary:	InterViews header files
Group:		Development/X11
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains headers needed to build InterViews-dependent 
programs.

%prep
%setup -q

%build
%configure 
%make

%install
%__rm -rf %{buildroot}
%makeinstall

# Toss unneeded files:
%__rm -rf %{buildroot}%{_bindir}
%__rm -rf %{buildroot}%{_datadir}

%clean
%__rm -rf %{buildroot}

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la




%changelog
* Sun Aug 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 17-4mdv2008.0
+ Revision: 67056
- rebuild


* Mon Jan 22 2007 Lev Givon <lev@mandriva.org> 17-3mdv2007.0
+ Revision: 112041
- Make sure paths in .la files are correctly generated.

* Thu Oct 26 2006 Lev Givon <lev@mandriva.org> 17-2mdv2007.1
+ Revision: 72563
- Correct lib paths on x86_64.
- Import iv

* Thu Sep 21 2006 Lev Givon <lev@mandriva.org> 17-1mdv2007.0
- Initial Mandriva package.

